Soorten PHP-handlers

Plesk biedt volledige ondersteuning voor de scripttaal PHP, inclusief ondersteuning voor meerdere versies van PHP en van de handlers, zonder dat u deze apart hoeft te installeren. In dit onderwerp worden de verschillende soorten PHP-handlers besproken die kunnen worden gebruikt in Plesk.

Type handler Prestaties Geheugengebruik Details van handler

Apache-module

Hoog

Laag

Deze handler is alleen beschikbaar in Plesk voor Linux. Dit is de minst veilige optie, aangezien alle PHP-scripts worden uitgevoerd namens de Apache-gebruiker. Dit betekent dat alle bestanden die door PHP-scripts of door de abonnementhouder van welk pakket dan ook dezelfde eigenaar hebben (apache) en daarmee dezelfde set van rechten. De ene gebruiker kan daardoor de bestanden aantasten van een andere gebruiker, of belangrijke systeembestanden. U kunt bepaalde beveiligingsproblemen voorkomen door de optie PHP safe_mode in te schakelen. Daarmee worden een aantal PHP-functies uitgeschakeld die een potentieel beveiligingsrisico met zich meebrengen. Merk op dat sommige webtoepassingen niet goed functioneren in de veilige modus. De optie safe_mode wordt gezien als verouderd en is verwijderd in PHP 5.4.

ISAPI-extensie

Hoog

Laag

Deze handler is alleen beschikbaar in Plesk voor Windows. De ISAPI-uitbreiding kan site-isolatie verzorgen wanneer er een exclusieve IIS groep van toepassingen is ingeschakeld voor een abonnement. Site-isolatie betekent dat sites van verschillende gebruikers hun scripts onafhankelijk van elkaar kunnen uitvoeren. Daardoor is een fout in het ene PHP-script niet van invloed op de werking van andere scripts. Daarnaast worden PHP-scripts uitgevoerd namens een systeemgebruiker die is gekoppeld aan een hostingaccount. De ISAPI-uitbreiding niet meer wordt ondersteund vanaf PHP 5.3

CGI-toepassing

Laag

Laag

De CGI-handler voert PHP-scripts uit namens een systeemgebruiker die is gekoppeld aan een hostingaccount. In Linux is dit alleen mogelijk als de suEXEC-module van de Apache-webserver is ingeschakeld (standaardoptie). Anders worden alle PHP-scripts uitgevoerd namens de gebruiker apache. De CGI-handler is standaard niet beschikbaar voor gebruikers vna Plesk.

FastCGI-toepassing

Hoog

Hoog

De FastCGI-handler voert PHP-scripts uit namens een systeemgebruiker die is gekoppeld aan een hostingaccount.

PHP-FPM toepassing

Hoog

Laag

Deze handler is alleen beschikbaar in Plesk voor Linux. PHP-FPM is een geavanceerde versie van FastCGI die significante voordelen biedt voor webtoepassingen met een zware belasting.

 

Leave your feedback on this topic here

If you have questions or need support, please visit the Plesk forum or contact your hosting provider.
The comments below are for feedback on the documentation only. No timely answers or help will be provided.